[Python] setup.py & install_requires

Alessandro Dentella sandro a e-den.it
Mar 18 Ago 2009 19:26:52 CEST


Ciao,

  sto cercando di capire come fare un setup.py corretto anche per le
  dipendenze. Ho qualcosa tipo:

     from setuptools import setup, find_packages
     setup(
         ...
         install_requires=['sqlalchemy >= 0.5', 'Babel', 'python-dateutil'],
         ...
     )

  Sono su un sistema ubuntu 9.04 dove ho installato il pacchetto
  python-dateutil e riesco ad eseguire 'import dateutil' ma 
  
    python setup.py install

  cerca (ed installa) python-dateutil da pypi. Stessa cosa con pygtk e babel...

  Sbaglio qualcosa? La mia sensazione  che la script cerca solo formati
  egg, se non li trova suppone che il pacchetto vada installato...


  sandro
  *:-)





-- 
Sandro Dentella  *:-)
http://sqlkit.argolinux.org        SQLkit home page - PyGTK/python/sqlalchemy


Maggiori informazioni sulla lista Python